%define anolis_release 1
Name:          zenity
Version:       3.42.0
Release:       %{anolis_release}%{?dist}
Summary:       Display dialog boxes from shell scripts

License:       LGPLv2+
URL:           https://wiki.gnome.org/Projects/Zenity
Source:        https://download.gnome.org/sources/%{name}/3.42/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: meson
BuildRequires: which

%description
Zenity lets you display Gtk+ dialog boxes from the command line and through
shell scripts. It is similar to gdialog, but is intended to be saner. It comes
from the same family as dialog, Xdialog, and cdialog.

%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

# we don't want a perl dependency just for this
rm -f $RPM_BUILD_ROOT%{_bindir}/gdialog

%find_lang zenity --with-gnome


%files -f zenity.lang
%license COPYING
%doc AUTHORS NEWS THANKS README
%{_bindir}/zenity
%{_datadir}/zenity
%{_mandir}/man1/zenity.1*


%changelog
* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.42.0-1
- init from upstream
